Skip to main content
POST
Cancel a payment

Authorizations

Authorization
string
header
required

You can use an OAuth2 JWT bearer token in the Authorization header of your API requests for supported endpoints: Authorization: Bearer <YOUR_JWT_HERE>. These tokens are valid for 10 minutes and can be requested via the access token endpoint endpoint.

Headers

x-idempotency-key
string<uuid>
required

Idempotency key to be used. Sending again the same key would return the same result without re-executing the update.

Path Parameters

workflowCode
string
required

Path parameter to specify the workflow code. Machine-friendly code of Workflow.

Pattern: ^[a-z][-A-Za-z0-9]*$
executionId
string<uuid>
required

Identifier of the resource in Payrails.

Body

application/json
paymentId
string<uuid>

Optionally the ID of the payment to cancel. Used for payment links where an execution can have multiple successful payments. If not specified, the most recent payment done using the payment link will be cancelled.

reason
enum<string>

Reason for invoking the operation or action.

Available options:
BetterPrice,
CustomerDontNeed,
DamagedProduct,
Duplicate,
FraudulentProduct,
LateDelivery,
NoReason,
ProductMismatchDescription,
WrongProduct,
WrongProductSpecification
reasonDescription
string

An optional field to include any necessary information for the capture action.

Example:

"Customer's automatic subscription."

Response

The payment cancelation was requested.

name
enum<string>
required

Performed action name.

Available options:
cancel
actionId
string<uuid>
required

Unique identifier for this action execution. If its processing is done asynchronously, you will receive a notification with the same actionId.

executedAt
string<date-time>
required

Date and time when execution of the Action was started.

Links to the next possible actions that can be taken.

workspaceId
string<uuid>

Unique identifier of a workspace in Payrails.

reason
enum<string>

Reason for invoking the operation or action.

Available options:
BetterPrice,
CustomerDontNeed,
DamagedProduct,
Duplicate,
FraudulentProduct,
LateDelivery,
NoReason,
ProductMismatchDescription,
WrongProduct,
WrongProductSpecification
reasonDescription
string

An optional field to include any necessary information for the cancel action.

Example:

"Customer's order expired."

Last modified on October 6, 2026